﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface ISessionService
    {
        Session GetSession(string sessionId);
        Session CreateSession(Dictionary<string, object> sessionData);
        Session UpdateSession(string sessionId, Dictionary<string, object> data);
        bool DeleteSession(string sessionId);
        bool AddPlayerToSession(string sessionId, string userId);
        bool RemovePlayerFromSession(string sessionId, string userId);
        User GetDungeonMaster(string sessionId);
        bool CheckUserPermission(string sessionId, string userId, string resource);
    }
}
